@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Пользователи
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Пользователи</a></li>
                <li class="breadcrumb-item active" aria-current="page">Список</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <td>#</td>
                            <td>Name</td>
                            <td>ФИО</td>
                            <td>Дата добавления</td>
                            <td>Дата редактирования</td>
                            <td>Опции</td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <td>{{ $user->id }}</td>
                                <td>{{ $user->name ?? '' }}</td>
                                <td>{{ $user->getFIO() }}</td>
                                <td>{{ $user->created_at }}</td>
                                <td>{{ $user->updated_at }}</td>
                                <td>
                                    <a href="{{ route('userEdit', ['user_id' => $user->id]) }}" class="btn btn-sm btn-primary">Edit</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="mt-4 mb-5 mx-auto d-block">
                {{ $users->appends($_GET)->links() }}
            </div>
        </div>
    </div>
@endsection